cURL
curl --request POST \
--url https://api.mottostreaming.com/iam/users/v1/{user_id}/token \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/iam/users/v1/{user_id}/token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/iam/users/v1/{user_id}/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Users
Create user token
CreateUserToken
Returns a Motto-signed JWT for the user. This token can be used to authenticate the user in the Motto content-delivery API.
Note: this endpoint can be used even without a configured identity platform, nor does CreateUser need to be called. Passing a user_id that is not known to Motto will work just as well. This is useful in situations where an external identity platform is used, and you only wish to use the user_id in combination with e.g. Motto’s entitlement service.
POST
/
iam
/
users
/
v1
/
{user_id}
/
token
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
ROLE_UNSPECIFIED, ROLE_DEFAULT, ROLE_TESTER, ROLE_VIP Response
OK

